# Class LOCChartMaker.DirectoryLOCChartMaker

java.lang.Object
net.sf.statcvs.charts.LOCChartMaker
net.sf.statcvs.charts.LOCChartMaker.DirectoryLOCChartMaker

Enclosing class:
  `LOCChartMaker`

public static class LOCChartMaker.DirectoryLOCChartMaker extends LOCChartMaker

Version:
  $Id: LOCChartMaker.java,v 1.19 2009/08/31 19:16:35 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Nested Class Summary

### Nested classes/interfaces inherited from class LOCChartMaker

`LOCChartMaker.AllDevelopersLOCChartMaker, LOCChartMaker.AllDirectoriesLOCChartMaker, LOCChartMaker.AllModulesLOCChartMaker, LOCChartMaker.DirectoryLOCChartMaker, LOCChartMaker.MainLOCChartMaker`

## Constructor Summary

Constructors
Constructor
Description
`DirectoryLOCChartMaker(ReportConfig config, Directory directory)`

## Method Summary

### Methods inherited from class LOCChartMaker

`toFile`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryLOCChartMaker

public DirectoryLOCChartMaker(ReportConfig config, Directory directory)